Subject: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least

From: "Drew Adams" <[email-masked]>
Date: Tue, 12 Mar 2013 13:44:04 -0700

emacs -Q
 
M-: (modify-frame-parameters nil '((fullscreen . fullboth)))
 
The frame is not wide enough - about a centimeter too narrow.
 
M-: (modify-frame-parameters nil '((fullscreen . maximized)))
 
This does maximize the frame.
 
However, the Elisp manual, node `Size Parameters', is incorrect in
saying that either `maximized' or `fullboth' does not have
window-manager decorations.
 
Beyond that, I suspect that the text is anyway mistaken wrt the order,
and that what was meant was that `fullboth', not `maximized, still has
decorations.  Dunno about that, however.

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-03-04 on ODIEONE
Bzr revision: 111935 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'